package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.trnlog.LogUserVo;
import com.brilliance.isc.common.trnlog.Trnlog;
import com.brilliance.isc.vo.bop.LogpVo;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface TrnlogMapper {

    int insert(Trnlog record);

    int insertSelective(Trnlog record);

    int updateByPrimaryKeySelective(Trnlog record);

    int updateByPrimaryKey(Trnlog record);

    int deleteByPrimaryKey(Trnlog record);

    int deleteByIds(Collection<Object> collection);

    Trnlog selectByPrimaryKey(Trnlog record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Trnlog> dyncRead(Map<String,Object> dyncMap);

    List<Trnlog> selectLogUserByPage(LogUserVo logUserVo);

    List<Trnlog> selectByLogpVo(LogpVo logpVo);

}